<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
*  Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
*  Use is subject to license terms.
-->
<HTML>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<TITLE>MIDP Project Properties: Libraries and Resources</TITLE>
<link rel="StyleSheet" href="nbdocs:/org/netbeans/modules/usersguide/ide.css" type="text/css">
</HEAD>
<BODY>

<h2>MIDP Project Properties: Libraries and Resources</h2>
<p> <small><a href="#seealso">See Also</a></small></p>
<p>Adding a group of class files to a project's classpath tells the IDE which
classes the project should have access to during compilation and execution. Use
  the Libraries &amp; Resources properties page to add or remove
  additional libraries, projects, or JAR and ZIP files to a classpath for
  a
  <object
classid="java:com.sun.java.help.impl.JHSecondaryViewer">
    <param name="content"
value="../glossary/gloss_deviceconfiguration.html">
    <param name="viewerActivator"
value="javax.help.LinkLabel">
    <param name="viewerStyle" value="javax.help.Popup">
    <param name="viewerSize" value="400,160">
    <param name="text" value="project configuration">
    <param name="textFontFamily" value="SansSerif">
    <param name="textFontSize" value="small">
    <param name="textFontWeight" value="bold">
    <param name="textFontStyle" value="italic">
    <param name="textColor" value="blue">
  </object>
.</p>
<p>You open the Compiling properties page by choosing File &gt; <em>&lt;active
    project name&gt;</em> Properties. In the Project Properties dialog, select
    Buiild <img src="../images/expand.gif" alt="and expand" width="12" height="12"> Libraries
    &amp; Resources.</p>
<ul class="note">
    <li>If you are setting the properties for a project
      configuration other than the default configuration (<code>DefaultConfiguration</code>),
      you must uncheck the Use Values from &quot;DefaultConfiguration&quot; checkbox
    at the top of the page to customize these options.</li>
  </ul>
<p>The Bundled Libraries and Resources table lists items bundled with the project.
  The items listed are either libraries or JAR files built by other projects. </p>
<p>This page lets you add the following items to your project's classpath:</p>
<ul>
  <li><b><a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/compile/comp_dependencies.html">Project</a>.</b> The
    JAR file produced by another project, as well as the associated source files
    and Javadoc documentation. Adding this item
    to a class path sets up a dependency between the current project and the
    selected JAR</li>
  <li><b><a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/compile/comp_libraries.html">Library</a>. </b>A collection of JAR files
    or folders with compiled classes, which can optionally have associated source
  files and Javadoc documentation.</li>
  <li><b>JAR file.</b> A JAR file created by another project..</li>
  <li><strong>Folder. </strong>The root of a package or directory containing
    files. </li>
</ul>
<p>To add a library or resource to the project classpath, click the appropriate
  Add button. </p>
<p>To change the order of libraries or resources in the classpath by
  selecting the listing and clicking the Move Up and Move Down buttons. </p>
<dl>
  <dt><a name="seealso">See Also</a></dt>
  <dd><a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/compile/comp_classpath.html">Managing the Classpath</a></dd>
   <dd>      <a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/compile/comp_libraries.html">About Java Class Libraries</a></dd>
    </dl>
<hr>
<small><a href="../getstarted/credits.html">Legal Notices</font></a></small>
</body>
</html>
